Last modified: 2012-04-19 21:42:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20844 - Search & replace : Information icon shall be used for ACK dialogs
Search & replace : Information icon shall be used for ACK dialogs
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal trivial (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-28 10:06 UTC by Calcey QA
Modified: 2012-04-19 21:42 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Alter for no replacement (22.95 KB, image/png)
2009-09-28 10:40 UTC, Calcey QA
Details
Alert message after replacement (22.68 KB, image/png)
2009-09-28 10:43 UTC, Calcey QA
Details

Description Calcey QA 2009-09-28 10:06:19 UTC
Reporting against the build hosted on Staging environment. (http://prototype.wikimedia.org)



Steps to reproduce :
1)Start editing a page 
2)Click on 'Search and replace' icon and replace few words
<<Confirmation dialog is displayed with a Warning icon>>


Expected Outcome:
It would be better if 'Information' icon is displayed in Dialog.

Client Environment details ::
Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Enabled
CPU class/type: 	OS/CPU Windows NT 6.0
Screen Width x Height: 	1280 x 800
Screen Color Depth: 	32
Window Width: 	591 (46.2% of 1280)
Window Height: 	353 (44.1% of 800)
Comment 1 Platonides 2009-09-28 10:14:07 UTC
You mean the 'Your search did not match anything.' alert?
Comment 2 Calcey QA 2009-09-28 10:40:04 UTC
Created attachment 6590 [details]
Alter for no replacement

The icon appears is for Warning.
Comment 3 Calcey QA 2009-09-28 10:43:04 UTC
Created attachment 6591 [details]
Alert message after replacement
Comment 4 Roan Kattouw 2009-09-28 11:10:06 UTC
Although I agree with this wish, it can't be done in Javascript. All you can do is:
* alert dialogs (with the red X icon and an OK button)
* confirmation dialogs (with a ? icon and OK/Cancel buttons)
* prompt dialogs (with a ? icon, a textbox and OK/Cancel buttons)
Comment 5 Calcey QA 2009-09-28 11:12:47 UTC
Agree with the comment and closing.
Comment 6 Platonides 2009-09-28 12:07:33 UTC
It could be made as a label on the replace window.
Comment 7 Calcey QA 2009-09-28 12:10:11 UTC
Reopening the bug considering Comment#6
Comment 8 Roan Kattouw 2009-09-28 12:40:04 UTC
(In reply to comment #6)
> It could be made as a label on the replace window.
> 

Done in r57015. The in-dialog message doesn't look very nice just yet; I'll ask Trevor to give it some love later today.
Comment 9 Calcey QA 2009-09-29 05:01:58 UTC
Added keyword babaco to the bug
Comment 10 Calcey QA 2009-10-01 04:52:44 UTC
Verified and Passed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links